summaryrefslogtreecommitdiffstats
path: root/Utilities/Release/release_cmake.sh.in
diff options
context:
space:
mode:
authorBill Hoffman <bill.hoffman@kitware.com>2006-05-10 18:03:51 (GMT)
committerBill Hoffman <bill.hoffman@kitware.com>2006-05-10 18:03:51 (GMT)
commit3840afa054a0268be344214553fc7db92be0cb91 (patch)
treea9fbf207ef491a5f92ed6eb5426240ee4e08420d /Utilities/Release/release_cmake.sh.in
parentaa3fc279bfffcd068c8e7b37bd8d539b0456dfc4 (diff)
downloadCMake-3840afa054a0268be344214553fc7db92be0cb91.zip
CMake-3840afa054a0268be344214553fc7db92be0cb91.tar.gz
CMake-3840afa054a0268be344214553fc7db92be0cb91.tar.bz2
ENH:
Diffstat (limited to 'Utilities/Release/release_cmake.sh.in')
-rwxr-xr-xUtilities/Release/release_cmake.sh.in13
1 files changed, 10 insertions, 3 deletions
diff --git a/Utilities/Release/release_cmake.sh.in b/Utilities/Release/release_cmake.sh.in
index 77a3752..b797ed7 100755
--- a/Utilities/Release/release_cmake.sh.in
+++ b/Utilities/Release/release_cmake.sh.in
@@ -68,9 +68,16 @@ cd @CMAKE_RELEASE_DIRECTORY@
check_exit_value $? "Checkout cmake source" || exit 1
cd @CMAKE_RELEASE_DIRECTORY@/@CMAKE_VERSION@-build
-echo "Run cmake bootstrap --parallel=@PROCESSORS@"
-../@CMAKE_VERSION@/bootstrap --parallel=@PROCESSORS@
-check_exit_value $? "Bootstrap cmake" || exit 1
+
+if [ ! -z "@CONFIGURE_WITH_CMAKE@" ]; then
+ echo "Run cmake to configure cmake"
+ @CMAKE_CONFIGURE_PATH@ ../@CMAKE_VERSION@
+ check_exit_value $? "Configure cmake" || exit 1
+else
+ echo "Run cmake bootstrap --parallel=@PROCESSORS@"
+ ../@CMAKE_VERSION@/bootstrap --parallel=@PROCESSORS@
+ check_exit_value $? "Bootstrap cmake" || exit 1
+fi
echo "Build cmake with @MAKE@"
@MAKE@